Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.datacache.plugins
Class NotificationObject

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.datacache.plugins.NotificationObject

All Implemented Interfaces:
  Externalizable, Serializable

public class NotificationObject
extends Object
implements Externalizable

Utility structure to hold the IDs of additions, updates, and deletes.

See Also:
  Serialized Form

Constructor Summary
`NotificationObject()`
`NotificationObject(Map additions, Map updates, Collection deletes)`

Method Summary
`void` | `readExternal(ObjectInput in)`
`void` | `receivedBatchUpdate(DistributedCache cache)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationObject

    public NotificationObject()

### NotificationObject

    public NotificationObject(Map additions,
                              Map updates,
                              Collection deletes)

Method Detail

### receivedBatchUpdate

    public void receivedBatchUpdate(DistributedCache cache)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

  Specified by:
    `readExternal` in interface `Externalizable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.